/**
  ******************************************************************************
  * File Name          : main.h
  * Description        : This file contains the common defines of the application
  ******************************************************************************
  *
  * COPYRIGHT(c) 2017 STMicroelectronics
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
  /* Includes ------------------------------------------------------------------*/

/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Private define ------------------------------------------------------------*/

#define TFT_WR_Pin GPIO_PIN_2
#define TFT_WR_GPIO_Port GPIOE
#define SPI1_CS_SW_Pin GPIO_PIN_3
#define SPI1_CS_SW_GPIO_Port GPIOE
#define TFT_DC_Pin GPIO_PIN_4
#define TFT_DC_GPIO_Port GPIOE
#define TFT_RST_Pin GPIO_PIN_5
#define TFT_RST_GPIO_Port GPIOE
#define TFT_CS_Pin GPIO_PIN_6
#define TFT_CS_GPIO_Port GPIOE
#define HF__Pin GPIO_PIN_0
#define HF__GPIO_Port GPIOH
#define HF_H1_Pin GPIO_PIN_1
#define HF_H1_GPIO_Port GPIOH
#define TFT_RD_Pin GPIO_PIN_1
#define TFT_RD_GPIO_Port GPIOC
#define TFT_LED_Pin GPIO_PIN_7
#define TFT_LED_GPIO_Port GPIOE
#define TFT_D0_Pin GPIO_PIN_8
#define TFT_D0_GPIO_Port GPIOE
#define TFT_D1_Pin GPIO_PIN_9
#define TFT_D1_GPIO_Port GPIOE
#define TFT_D2_Pin GPIO_PIN_10
#define TFT_D2_GPIO_Port GPIOE
#define TFT_D3_Pin GPIO_PIN_11
#define TFT_D3_GPIO_Port GPIOE
#define TFT_D4_Pin GPIO_PIN_12
#define TFT_D4_GPIO_Port GPIOE
#define TFT_D5_Pin GPIO_PIN_13
#define TFT_D5_GPIO_Port GPIOE
#define TFT_D6_Pin GPIO_PIN_14
#define TFT_D6_GPIO_Port GPIOE
#define TFT_D7_Pin GPIO_PIN_15
#define TFT_D7_GPIO_Port GPIOE
#define Touch_CLK_Pin GPIO_PIN_11
#define Touch_CLK_GPIO_Port GPIOB
#define Touch_CS_Pin GPIO_PIN_12
#define Touch_CS_GPIO_Port GPIOB
#define Touch_MOSI_Pin GPIO_PIN_13
#define Touch_MOSI_GPIO_Port GPIOB
#define Touch_MISO_Pin GPIO_PIN_14
#define Touch_MISO_GPIO_Port GPIOB
#define Touch_IRQ_Pin GPIO_PIN_15
#define Touch_IRQ_GPIO_Port GPIOB
#define DBG_SWDIO_Pin GPIO_PIN_13
#define DBG_SWDIO_GPIO_Port GPIOA
#define DBG_SWCLK_Pin GPIO_PIN_14
#define DBG_SWCLK_GPIO_Port GPIOA
#define SPI1_CS_HW_Pin GPIO_PIN_15
#define SPI1_CS_HW_GPIO_Port GPIOA
#define DBG_SWO_Pin GPIO_PIN_3
#define DBG_SWO_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

/**
  * @}
  */ 

/**
  * @}
*/ 

#endif /* __MAIN_H */
/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
